package ejbdemo;
import java.util.*;
import javax.ejb.*;
import java.io.Serializable;

public class DemoSessionLocalEJB implements SessionBean, Serializable
{
	private String name = null;
	
	public void ejbCreate() throws CreateException
	{
	  name = "Local Demo Session Bean";
	}

	public void ejbActivate()
	{
	}

	public void ejbPassivate()
	{
	}
	
	public void ejbRemove()
	{
	}
	
	public void setSessionContext(SessionContext context)
	{
	}

	public void setName(int i)
	{
	  name =name+i;
	}
	
	public String getName()
	{
		return name;
	}
}
